---
title: Update an App
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Magic Transit](https://developers.cloudflare.com/api/typescript/resources/magic_transit)

[Apps](https://developers.cloudflare.com/api/typescript/resources/magic_transit/subresources/apps)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Update an App

client.magicTransit.apps.update(stringaccountAppID, AppUpdateParams {account\_id, hostnames, ip\_subnets, 3 more } params, RequestOptionsoptions?): [AppUpdateResponse](<https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit.apps%20%3E%20(model)%20app_update_response%20%3E%20(schema)>) {account\_app\_id, hostnames, ip\_subnets, 3 more } | null

PUT/accounts/{account\_id}/magic/apps/{account\_app\_id}

Updates an Account App

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Magic WAN Write``Magic Transit Write`

##### ParametersExpand Collapse

accountAppID: string

Identifier

maxLength32

[Link to this property](<#(resource)%20magic_transit.apps%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20account_app_id%20%3E%20(schema)>)

<details>

<summary>

params: AppUpdateParams {account\_id, hostnames, ip\_subnets, 3 more }

</summary>

account\_id: string

Path param: Identifier

maxLength32

<a href="#(resource)%20magic_transit.apps%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

hostnames?: Array&lt;string&gt;

Body param: FQDNs to associate with traffic decisions.

<a href="#(resource)%20magic_transit.apps%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20hostnames">Link to this property</a>

ip\_subnets?: Array&lt;string&gt;

Body param: IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

<a href="#(resource)%20magic_transit.apps%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20ip_subnets">Link to this property</a>

name?: string

Body param: Display name for the app.

<a href="#(resource)%20magic_transit.apps%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20name">Link to this property</a>

source\_subnets?: Array&lt;string&gt;

Body param: IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

<a href="#(resource)%20magic_transit.apps%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20source_subnets">Link to this property</a>

type?: string

Body param: Category of the app.

<a href="#(resource)%20magic_transit.apps%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20type">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.apps%20%3E%20(method)%20update%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

AppUpdateResponse {account\_app\_id, hostnames, ip\_subnets, 3 more }

Custom app defined for an account.

</summary>

account\_app\_id: string

Magic account app ID.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_update_response%20%3E%20(schema)%20%3E%20(property)%20account_app_id">Link to this property</a>

hostnames?: Array&lt;string&gt;

FQDNs to associate with traffic decisions.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_update_response%20%3E%20(schema)%20%3E%20(property)%20hostnames">Link to this property</a>

ip\_subnets?: Array&lt;string&gt;

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_update_response%20%3E%20(schema)%20%3E%20(property)%20ip_subnets">Link to this property</a>

name?: string

Display name for the app.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_update_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

source\_subnets?: Array&lt;string&gt;

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_update_response%20%3E%20(schema)%20%3E%20(property)%20source_subnets">Link to this property</a>

type?: string

Category of the app.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_update_response%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.apps%20%3E%20(model)%20app_update_response%20%3E%20(schema)>)

### Update an App

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const app = await client.magicTransit.apps.update('023e105f4ecef8ad9ca31a8372d0c353', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(app.account_app_id);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "account_app_id": "ac60d3d0435248289d446cedd870bcf4",
    "hostnames": [
      "auth.cloudflare.com"
    ],
    "ip_subnets": [
      "192.0.2.0/24"
    ],
    "name": "Cloudflare Dashboard",
    "source_subnets": [
      "192.0.2.0/24"
    ],
    "type": "Development"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "account_app_id": "ac60d3d0435248289d446cedd870bcf4",
    "hostnames": [
      "auth.cloudflare.com"
    ],
    "ip_subnets": [
      "192.0.2.0/24"
    ],
    "name": "Cloudflare Dashboard",
    "source_subnets": [
      "192.0.2.0/24"
    ],
    "type": "Development"
  },
  "success": true
}
```